<?php 
require_once 'app/template/admin/header.phtml';
require_once 'app/template/admin/menu_top.phtml';
require_once 'app/template/admin/menu_sidebar.phtml'; 

?>

<div class="row" id="teste">
    <div class="col-md-10 col-md-offset-1">
        <br>
        <div class="panel panel-primary">
            <div class="panel-heading" align="center"><b>DISPOSITIVOS DO CLIENTE</b></div>
            <div class="panel-body">                 
                <input type="hidden" value="<?php echo URL_BASE?>" id="url">
                <p ><b>ID Cliente:</b> <label style="font-weight: normal" id="idCliente"><?php echo $dados1[0]['idCliente']?></label></p>
                <p><b>Fantasia:</b> <?php echo $dados1[0]['nmFantasia']?></p>
                <p><b>Apelido:</b> <?php echo $dados1[0]['apelido']?></p>
                <div class="row">                    
                    <div class="col-md-4"><p><b>CNPJ:</b> <?php echo $dados1[0]['cnpj']?></p></div>
                    <div class="col-md-3"><p><b>Status Licença:</b> <?php echo $dados1[0]['tpStatus']=='1'?"<label style='color:green'>Ativo</label>":"<label style='color:red'>Bloqueado</label>"; ?></p></div>
                    <div class="col-md-3"><p><b>Limite Dispositivos Uso:</b> <?php echo $dados1[0]['qtdDispositivos']?></p></div>                    
                </div>
                <div class="row">
                    <div class="col-md-4"><?php echo "<b>Dispostitivos Cadastrados: </b>". count($dados2); ?></div>
                    <div class="col-md-4"><?php echo "<b>Quant Disponível: </b>". $dados3; ?></div>
                    <div class="col-md-4"><?php echo "<b>Quant Ativos </b>".  $dados1[0]['qtdDispAtivos']?></div>
                </div>
                <br>
                <p align="center"><b>DISPOSITIVOS CADASTRADOS</b></p> 
                <hr>
                <?php $i = 1; $fim = count($dados2); ?>
                <?php foreach ($dados2 as $dispositivo):?>
                    <?php if($i == 1): ?>
                    <div class="row">
                    <?php endif; ?>    
                        <div class="col-md-3">
                            <div id="<?php echo "panel-".$dispositivo['idDispositivo']; ?>" class="<?php echo $dispositivo['statusDispositivo'] == '1'? "panel panel-success":"panel panel-danger" ?>" >
                                <div class="panel-heading" align="center" id="<?php echo "panelTitle-".$dispositivo['idDispositivo']; ?>">
                                    <?php echo $dispositivo['statusDispositivo'] == '1'?"Ativo":"Bloqueado" ?>
                                </div>    
                                <div class="panel-body">
                                    <div align="center">
                                        <i class="fa fa-desktop fa-5x" aria-hidden="true"></i>
                                        <hr style="margin: 5px">
                                    </div>
                                    <p><b>ID:</b><?php echo $dispositivo['idDispositivo']; ?></p>
                                    <p><b>Nome:</b><?php echo $dispositivo['nmDispositivo']; ?></p>
                                    <p id="<?php echo "status-".$dispositivo['idDispositivo']; ?>"><b>Status:</b><?php echo $dispositivo['statusDispositivo'] == '1'? "<label style='color:green'>Ativo</label>":"<label style='color:red'>Bloqueado</label>"; ?></p>                                    
                                    
                                    <p link data-toggle="collapse" data-target="<?php echo "#outros".$i; ?>" style="text-align: center; cursor: pointer; color: #2E2EFE">Ver Mais</p>
                                    <div id="<?php echo "outros".$i; ?>" class="collapse">
                                        <p><b>Memória: </b><?php echo $dispositivo['ramDispositivo']?></p>
                                        <p><b>CPU: </b><?php echo $dispositivo['cpuDispositivo']?></p>
                                        <p><b>SO: </b><?php echo $dispositivo['soDispositivo']?></p>
                                        <p><b>Ult. Acesso:</b><?php echo $dispositivo['dtAcesso']; ?></p>  
                                    </div> 
                                                                                                                                                                            
                                    <!--SE O CLIENTE ESTIVER LIBERADO, NÃO PODE LIBERAR O DISPOSITIVO-->
                                    <?php if($dados1[0]['tpStatus'] == 1): ?>
                                    <div align="center">
                                        <button class="btn btn-success btn-block" <?php if(($dispositivo['statusDispositivo'] == "1") || ($dados3 <= 0 )){echo "style='display:none'";} ?> 
                                                data-liberar="true" data-iddispositivo-liberar="<?php echo $dispositivo['idDispositivo'] ?>" data-nmdispositivo-liberar="<?php echo $dispositivo['nmDispositivo'] ?>" 
                                                id="<?php echo "btLiberarDispositivo-".$dispositivo['idDispositivo'] ?>" data-toggle="modal" data-target="#modalLiberarDispositivo">Liberar
                                        </button>
                                        
                                        <button class="btn btn-danger btn-block" <?php if($dispositivo['statusDispositivo'] == "0"){echo "style='display:none'";} ?> 
                                                data-bloquear="true" data-iddispositivo-bloquear="<?php echo $dispositivo['idDispositivo'] ?>" data-nmdispositivo-bloquear="<?php echo $dispositivo['nmDispositivo'] ?>" 
                                                id="<?php echo "btBloquearDispositivo-".$dispositivo['idDispositivo'] ?>" data-toggle="modal" data-target="#modalBloquearDispositivo">Bloquear
                                        </button>
<!--                                        <button class="btn btn-danger">Inativar</button>-->
                                    </div>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                    <?php $i++; ?> 
                    <?php if(($i>4)||($i>$fim)): $i=1; ?>    
                    </div>     
                    <?php endif; ?>
                <?php endforeach; ?>
            </div>
        </div>
        <!-- Modal Libera Dispositivo-->
        <div id="modalLiberarDispositivo" class="modal fade" role="dialog">
            <div class="modal-dialog">

                <!-- Modal content-->
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title">Liberar Dispositivo?</h4>
                    </div>
                    <div class="modal-body">
                        <div id="retornoLiberarDispositivo"></div>
                        <div id="dadosDispositivoLiberar">
                            <p>ID:<label id="idDispositivoLiberarModal"></label></p>
                            <p>Nome: <label id="nmDispositivoLiberarModal"></label></p>
                            <p>Loja: <label><?php echo $dados1[0]['nmFantasia'] ?> - <?php echo $dados1[0]['apelido'] ?></label></p>
                        </div>                        
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-success" data-confirmar-liberar="true" id="btConfirmarLiberar">Confirmar</button>
                        <button type="button" class="btn btn-info" data-dismiss="modal">Fechar</button>
                    </div>
                </div>

            </div>
        </div> <!--FIM MODAL LIBERAR-->
        
        <!-- MODAL BLOQUEIO DISPOSITIVO-->
        <div id="modalBloquearDispositivo" class="modal fade" role="dialog">
            <div class="modal-dialog">

                <!-- Modal content-->
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title">Bloquear Dispositivo?</h4>
                    </div>
                    <div class="modal-body">
                        <div id="retornoBloqueioDispositivo"></div>
                        <div id="dadosDispositivoBloquear">
                            <p>ID:<label id="idDispositivoBloquearModal"></label></p>
                            <p>Nome: <label id="nmDispositivoBloquearModal"></label></p>
                            <p>Loja: <label><?php echo $dados1[0]['nmFantasia']?> - <?php echo $dados1[0]['apelido']?></label></p>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-confirmar-bloqueio="true" id="btConfirmarBloqueio">Confirmar</button>
                        <button type="button" class="btn btn-info" data- data-dismiss="modal">Fechar</button>
                    </div>
                </div>

            </div>
        </div> <!--FIM MODAL BLOQUEIO-->
    </div>
</div>
       
<?php require_once 'app/template/admin/footer.phtml'; ?>
<script src="<?php echo DIR_JS_APP."bloquearLiberarDispositivo.js" ?>"></script>
